SC_READ_RECORD(3)

NAME
sc_read_record - Read a record from a file

SYNOPSIS

    #include <opensc.h>
    int sc_read_record(struct sc_card *card, unsigned int record,
                       unsigned char *buf, size_t buflen,
                       unsigned long flags);

DESCRIPTION

This function reads a record-structured elementary file (EF) from card. The function corresponds to the ISO 7816 READ RECORD function. Call sc_select_file() first to select the file to read from.

record specifies the ID of the record to be read, or, if flags is set to SC_RECORD_BY_REC_NR, the record number. If record is set to zero, the current record will be read.

The read data is stored in buf, which is buflen bytes long.

RETURN VALUE

Returns the number of bytes read if successful, or a negative value in case of error.